package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class AndroidAddRecipeDishesDTO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("时间段id")
   private @NotNull(
   message = "{menu_interval_id_null}"
) Long intervalId;
   @ApiModelProperty("菜品详情")
   private @Valid
   @Size(
   min = 1,
   message = "{menu_recipe_detail_null}"
) List<AndroidAddRecipeDishesDetailDTO> detailList;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public List<AndroidAddRecipeDishesDetailDTO> getDetailList() {
      return this.detailList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setDetailList(final List<AndroidAddRecipeDishesDetailDTO> detailList) {
      this.detailList = detailList;
   }

}
